ALTER PROCEDURE "dba"."pa_amet_koormus"( in a_id_yksus integer,in a_skoop integer,in a_t_paev numeric(2),in a_t_akuu numeric(2),in a_t_aasta numeric(4),in a_kulnr integer,in a_talnr integer,in a_tulnr integer,in a_objectnr integer,in a_osaknr integer,in a_suundnr integer,in a_statnr integer ) 
begin
  declare ld_kuup date;
  delete from gl_tr_tabel;
  set ld_kuup = ymd(a_t_aasta,a_t_akuu,a_t_paev);
  insert into gl_tr_tabel( sisse,"id",kood,nimi,deeb,adeeb,akree,ldeeb,lkree )
    select 0,
           get_pa_leping_tun_person(pa_leping.lepnr,ld_kuup) as pa_person,
           '','',
           Sum(get_pa_leping_tun_koht(pa_leping.lepnr,ld_kuup)),
           Sum(if pa_leping.id_koht=1 then get_pa_leping_tun_koht(pa_leping.lepnr,ld_kuup) else 0 endif),
           Sum(if pa_leping.id_koht=2 then get_pa_leping_tun_koht(pa_leping.lepnr,ld_kuup) else 0 endif),
           Sum(if pa_leping.id_koht=3 then get_pa_leping_tun_koht(pa_leping.lepnr,ld_kuup) else 0 endif),
           Sum(if pa_leping.id_koht=4 then get_pa_leping_tun_koht(pa_leping.lepnr,ld_kuup) else 0 endif)
      from pa_leping
      where(pa_leping.kuup1<=ld_kuup) and(pa_leping.kuup2>=ld_kuup or pa_leping.kuup2 is null)
      group by pa_person;
  update gl_tr_tabel left outer join ametlist on gl_tr_tabel."id"=ametlist.person set gl_tr_tabel.kood=if ametlist.amet is null then '' else ametlist.amet endif,gl_tr_tabel.nimi=Left('   '+ametlist.nimi,100);
  delete from gl_tr_tabel where gl_tr_tabel.deeb=0
end